gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Functions
Gst::Enums Namespace Reference

## Functions
Glib::ustring | get_name (State state)
| Gets a string representing the given state. More...
Glib::ustring | get_name (StateChangeReturn state_ret)
| Gets a string representing the given state change result. More...
Glib::ustring | get_name (EventType type)
| Gets a printable name for the given event type. More...
Glib::QueryQuark | get_quark (EventType type)
| Gets the unique quark for the given event type. More...
EventTypeFlags | get_flags (EventType type)
| Gets the Gst::EventTypeFlags associated with type. More...
Glib::ustring | get_name (Format format)
| Gets a printable name for the given format. More...
Glib::QueryQuark | get_quark (Format format)
| Gets the unique quark for the given format. More...
Glib::ustring | get_name (MessageType type)
| Gets a printable name for the given message type. More...
Glib::QueryQuark | get_quark (MessageType type)
| Gets the unique quark for the given message type. More...
Glib::ustring | get_name (QueryType type)
| Gets a printable name for the given query type. More...
Gst::QueryTypeFlags | get_flags (QueryType type)
| Gets the Gst::QueryTypeFlags associated with . More...
Glib::QueryQuark | get_quark (QueryType type)
| Gets the unique quark for the given query type. More...

## Function Documentation

EventTypeFlags Gst::Enums::get_flags | ( | EventType | type | ) |

Gets the Gst::EventTypeFlags associated with type.

Parameters

  type | A Gst::EventType.

Returns
  A Gst::EventTypeFlags.

Gst::QueryTypeFlags Gst::Enums::get_flags | ( | QueryType | type | ) |

Gets the Gst::QueryTypeFlags associated with .

Parameters

  type | a Gst::QueryType.

Returns
  a Gst::QueryTypeFlags;

Glib::ustring Gst::Enums::get_name | ( | Format | format | ) |

Gets a printable name for the given format.

Do not modify or free.

Parameters

  format | A Gst::Format.

Returns
  The name of the format or an empty string if the format is unknown.

Glib::ustring Gst::Enums::get_name | ( | State | state | ) |

Gets a string representing the given state.

Parameters

  state | A Gst::State to get the name of.

Returns
  A Glib::ustring with the name of the state.

Glib::ustring Gst::Enums::get_name | ( | StateChangeReturn | state_ret | ) |

Gets a string representing the given state change result.

Parameters

  state_ret | A Gst::StateChangeReturn to get the name of.

Returns
  A Glib::ustring with the name of the state change result.

Glib::ustring Gst::Enums::get_name | ( | MessageType | type | ) |

Gets a printable name for the given message type.

Parameters

  type | The message type.

Returns
  The name of the message type.

Glib::ustring Gst::Enums::get_name | ( | EventType | type | ) |

Gets a printable name for the given event type.

Parameters

  type | The event type.

Returns
  A reference to the static name of the event.

Glib::ustring Gst::Enums::get_name | ( | QueryType | type | ) |

Gets a printable name for the given query type.

Parameters

  query | The query type.

Returns
  The name of the query.

Glib::QueryQuark Gst::Enums::get_quark | ( | Format | format | ) |

Gets the unique quark for the given format.

Parameters

  format | A Gst::Format.

Returns
  The quark associated with the format or 0 if the format is unknown.

Glib::QueryQuark Gst::Enums::get_quark | ( | MessageType | type | ) |

Gets the unique quark for the given message type.

Parameters

  type | The message type.

Returns
  The quark associated with the message type.

Glib::QueryQuark Gst::Enums::get_quark | ( | EventType | type | ) |

Gets the unique quark for the given event type.

Parameters

  type | The event type.

Returns
  The quark associated with the event type.

Glib::QueryQuark Gst::Enums::get_quark | ( | QueryType | type | ) |

Gets the unique quark for the given query type.

Parameters

  query | The query type.

Returns
  The quark associated with the query type.